Page MenuHomePhabricator

Reuse cached values for higher queryFlags in UserGroupManager if possible
Closed, ResolvedPublic

Description

In the parent task implementation we decline using cached user groups if $queryFlags higher than READ_NORMAL were passed. It's actually possible to reuse the cached values for READ_LATEST if the cached values were fetched with appropriate flags. Something like https://gerrit.wikimedia.org/r/c/mediawiki/core/+/599403 should be implemented for UserGroupManager.

Event Timeline

Pchelolo created this task.Jun 2 2020, 9:10 PM
Naike changed the task status from Open to Stalled.Jun 5 2020, 1:30 PM

@AMooney, is this task in the current sprint? What's blocking it?

@Naike: The previous comments don't explain who or what (task?) exactly this task is stalled on ("If a report is waiting for further input (e.g. from its reporter or a third party) and can currently not be acted on"). Please elaborate.

(Smallprint, as general orientation for task management: If you wanted to express that nobody is currently working on this task, then the assignee should be removed and/or priority could be lowered instead. If work on this task is blocked by another task, then that other task should be added via Edit Related Tasks...Edit Subtasks. If this task is stalled on an upstream project, then the Upstream tag should be added. If this task requires info from the task reporter, then there should be instructions which info is needed. If this task needs retesting, then the TestMe tag should be added. If this task is either out of scope and nobody should ever work on this, or nobody else managed to reproduce the problem described in this task, then this task should have the "Declined" status.)

Naike changed the task status from Stalled to Open.Jun 8 2020, 1:58 PM

Change 604127 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/core@master] UserGroupManager: Consider $queryFlags when caching

https://gerrit.wikimedia.org/r/604127

Pchelolo closed this task as Resolved.Jun 11 2020, 9:45 PM

Change 604127 merged by jenkins-bot:
[mediawiki/core@master] UserGroupManager: Consider $queryFlags when caching

https://gerrit.wikimedia.org/r/604127